package controller

type UserController struct {
	baseController
}

const (
	Decimals         = 100000000000
	ParticipateValue = 1030
	ModBase          = 100
	CommunityLimit   = 1000
	CommunityMarkit  = 1000000

	CommonUser     = 0
	OfficialUser   = 1
	CommunityUsers = 2
)

var PerformanceLevel = [9]float64{10000 * Decimals, 30000 * Decimals, 100000 * Decimals, 300000 * Decimals,
	1000000 * Decimals, 900000000 * Decimals}
var PerformanceRatio = [9]float64{0, 0.3, 0.6, 0.9, 0.12, 0.15}
var MarketLevel = [5]int{2, 3, 4, 5, 6}
var MarketRatio = [5]float64{0, 0.04, 0.06, 0.08, 0.10}
